import request from '@/utils/request'

// 查询企业物流信息列表
export function listLogistics(query) {
    return request({
        url: '/crmEnterpriseLogistics/findByPage',
        method: 'get',
        params: query
    })
}

// 查询企业物流信息详细
export function getLogistics(id) {
    return request({
        url: '/crmEnterpriseLogistics/' + id,
        method: 'get'
    })
}

// 新增企业物流信息
export function addLogistics(data) {
    return request({
        url: '/crmEnterpriseLogistics',
        method: 'post',
        data: data
    })
}

// 修改企业物流信息
export function updateLogistics(data) {
    return request({
        url: '/crmEnterpriseLogistics',
        method: 'put',
        data: data
    })
}

// 删除企业物流信息
export function delLogistics(id) {
    return request({
        url: '/crmEnterpriseLogistics/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delLogisticsBatch(ids) {
    console.log(ids);
    return request.post('/crmEnterpriseLogistics/delete',ids)
}